# HG changeset patch
# User Yuriy Izorkin
# Date 1711201515 -10800
#      Sat Mar 23 16:45:15 2024 +0300
# Node ID e9942c2416c92d72551ddad3a8bc3f0ea6f7751d
# Parent  28fbf78841dc3cefb8ecc24adeab5510772d3f8c
MIME: changed type for rar files to application/vnd.rar

The application/x-rar-compressed type is deprecated and is now
replaced by application/vnd.rar [1].

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/vnd.rar

diff -r 28fbf78841dc -r e9942c2416c9 conf/mime.types
--- a/conf/mime.types   Thu Mar 21 22:50:11 2024 +0300
+++ b/conf/mime.types   Sat Mar 23 16:45:15 2024 +0300
@@ -51,6 +51,7 @@
                                                      xlsx;
     application/vnd.openxmlformats-officedocument.wordprocessingml.document
                                                      docx;
+    application/vnd.rar                              rar;
     application/vnd.wap.wmlc                         wmlc;
     application/wasm                                 wasm;
     application/x-7z-compressed                      7z;
@@ -60,7 +61,6 @@
     application/x-makeself                           run;
     application/x-perl                               pl pm;
     application/x-pilot                              prc pdb;
-    application/x-rar-compressed                     rar;
     application/x-redhat-package-manager             rpm;
     application/x-sea                                sea;
     application/x-shockwave-flash                    swf;
# HG changeset patch
# User Yuriy Izorkin
# Date 1711201810 -10800
#      Sat Mar 23 16:50:10 2024 +0300
# Node ID 52f7923644747a1ae80f19872a7330562fdafd04
# Parent  e9942c2416c92d72551ddad3a8bc3f0ea6f7751d
MIME: changed type for swf to application/vnd.adobe.flash.movie

The application/x-shockwave-flash type is considered non-standard,
it is recommended to use application/vnd.adobe.flash.movie [1].

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/vnd.adobe.flash.movie

diff -r e9942c2416c9 -r 52f792364474 conf/mime.types
--- a/conf/mime.types   Sat Mar 23 16:45:15 2024 +0300
+++ b/conf/mime.types   Sat Mar 23 16:50:10 2024 +0300
@@ -36,6 +36,7 @@
     application/postscript                           ps eps ai;
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u8;
+    application/vnd.adobe.flash.movie                swf;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.ms-excel                         xls;
@@ -63,7 +64,6 @@
     application/x-pilot                              prc pdb;
     application/x-redhat-package-manager             rpm;
     application/x-sea                                sea;
-    application/x-shockwave-flash                    swf;
     application/x-stuffit                            sit;
     application/x-tcl                                tcl tk;
     application/x-x509-ca-cert                       der pem crt;
# HG changeset patch
# User Yuriy Izorkin
# Date 1711203285 -10800
#      Sat Mar 23 17:14:45 2024 +0300
# Node ID 92d1eae283c0f085cb6fa1dc8bbd2acaec6abac5
# Parent  52f7923644747a1ae80f19872a7330562fdafd04
MIME: changed type for pem files to application/x-x509-ca-cert

For .pem files the application/pem-certificate-chain mime type
is used according to IANA [1]

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/x-x509-ca-cert

diff -r 52f792364474 -r 92d1eae283c0 conf/mime.types
--- a/conf/mime.types   Sat Mar 23 16:50:10 2024 +0300
+++ b/conf/mime.types   Sat Mar 23 17:14:45 2024 +0300
@@ -32,6 +32,7 @@
     application/json                                 json;
     application/mac-binhex40                         hqx;
     application/msword                               doc;
+    application/pem-certificate-chain                pem;
     application/pdf                                  pdf;
     application/postscript                           ps eps ai;
     application/rtf                                  rtf;
@@ -66,7 +67,7 @@
     application/x-sea                                sea;
     application/x-stuffit                            sit;
     application/x-tcl                                tcl tk;
-    application/x-x509-ca-cert                       der pem crt;
+    application/x-x509-ca-cert                       der crt;
     application/x-xpinstall                          xpi;
     application/xhtml+xml                            xhtml;
     application/xspf+xml                             xspf;
# HG changeset patch
# User Yuriy Izorkin
# Date 1711203597 -10800
#      Sat Mar 23 17:19:57 2024 +0300
# Node ID 0d64e14efc9ccf07ea824339cab03ead3c615342
# Parent  92d1eae283c0f085cb6fa1dc8bbd2acaec6abac5
MIME: changed type for exe and dll files to application/vnd.microsoft.portable-executable
For .exe and .dll files the application/vnd.microsoft.portable-executable
mime type is used according to IANA [1].

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/vnd.microsoft.portable-executable

diff -r 92d1eae283c0 -r 0d64e14efc9c conf/mime.types
--- a/conf/mime.types   Sat Mar 23 17:14:45 2024 +0300
+++ b/conf/mime.types   Sat Mar 23 17:19:57 2024 +0300
@@ -40,6 +40,7 @@
     application/vnd.adobe.flash.movie                swf;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
+    application/vnd.microsoft.portable-executable    exe dll;
     application/vnd.ms-excel                         xls;
     application/vnd.ms-fontobject                    eot;
     application/vnd.ms-powerpoint                    ppt;
@@ -73,7 +74,7 @@
     application/xspf+xml                             xspf;
     application/zip                                  zip;

-    application/octet-stream                         bin exe dll;
+    application/octet-stream                         bin;
     application/octet-stream                         deb;
     application/octet-stream                         dmg;
     application/octet-stream                         iso img;
# HG changeset patch
# User Yuriy Izorkin
# Date 1711203803 -10800
#      Sat Mar 23 17:23:23 2024 +0300
# Node ID a823051a9a711f5cb4d31a35ebc3a9ab31117034
# Parent  0d64e14efc9ccf07ea824339cab03ead3c615342
MIME: changed type for deb and udeb files to application/vnd.debian.binary-package
For .deb and .udeb files the application/vnd.debian.binary-package mime type
is used according to IANA [1].

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/vnd.debian.binary-package

diff -r 0d64e14efc9c -r a823051a9a71 conf/mime.types
--- a/conf/mime.types   Sat Mar 23 17:19:57 2024 +0300
+++ b/conf/mime.types   Sat Mar 23 17:23:23 2024 +0300
@@ -37,6 +37,7 @@
     application/postscript                           ps eps ai;
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u8;
+    application/vnd.debian.binary-package            deb udeb;
     application/vnd.adobe.flash.movie                swf;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
@@ -75,7 +76,6 @@
     application/zip                                  zip;

     application/octet-stream                         bin;
-    application/octet-stream                         deb;
     application/octet-stream                         dmg;
     application/octet-stream                         iso img;
     application/octet-stream                         msi msp msm;