# HG changeset patch
# User Yuriy Izorkin <lafiel@elven.pw>
# Date 1711994502 -10800
#      Mon Apr 01 21:01:42 2024 +0300
# Node ID e064324f144bf15d1b2dd563591c1c8080d7b596
# Parent  ddcedfa3a80996ac5c1407ecc35a58617b1ae62d
MIME: changed type for iso files to application/vnd.efi.iso.

For .iso files, the application/vnd.efi.iso MIME type is used
according to IANA [1].

Although this media type were registered for the purpose of
using them with EFI, they were defined broadly to include
all uncompressed disk images [2].

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/vnd.efi.iso
[2] https://gitlab.freedesktop.org/xdg/shared-mime-info/-/merge_requests/220

diff -r ddcedfa3a809 -r e064324f144b conf/mime.types
--- a/conf/mime.types   Sat Mar 30 05:10:40 2024 +0300
+++ b/conf/mime.types   Mon Apr 01 21:01:42 2024 +0300
@@ -37,6 +37,7 @@
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u8;
     application/vnd.debian.binary-package            deb udeb;
+    application/vnd.efi.iso                          iso;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.ms-excel                         xls;
@@ -75,7 +76,7 @@

     application/octet-stream                         bin exe dll;
     application/octet-stream                         dmg;
-    application/octet-stream                         iso img;
+    application/octet-stream                         img;
     application/octet-stream                         msi msp msm;

     audio/midi                                       mid midi kar;
# HG changeset patch
# User Yuriy Izorkin <lafiel@elven.pw>
# Date 1711994644 -10800
#      Mon Apr 01 21:04:04 2024 +0300
# Node ID 4e30b3da1605d3888e09498039201f5c01a13c87
# Parent  e064324f144bf15d1b2dd563591c1c8080d7b596
MIME: changed type for img files to application/vnd.efi.img.

For .img files, the application/vnd.efi.img MIME type is used
according to IANA [1].

Although this media type were registered for the purpose of
using them with EFI, they were defined broadly to include
all uncompressed disk images [2].

Link for reference:

[1] https://www.iana.org/assignments/media-types/application/vnd.efi.img
[2] https://gitlab.freedesktop.org/xdg/shared-mime-info/-/merge_requests/220

diff -r e064324f144b -r 4e30b3da1605 conf/mime.types
--- a/conf/mime.types   Mon Apr 01 21:01:42 2024 +0300
+++ b/conf/mime.types   Mon Apr 01 21:04:04 2024 +0300
@@ -37,6 +37,7 @@
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u8;
     application/vnd.debian.binary-package            deb udeb;
+    application/vnd.efi.img                          img;
     application/vnd.efi.iso                          iso;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
@@ -76,7 +77,6 @@

     application/octet-stream                         bin exe dll;
     application/octet-stream                         dmg;
-    application/octet-stream                         img;
     application/octet-stream                         msi msp msm;

     audio/midi                                       mid midi kar;
# HG changeset patch
# User Yuriy Izorkin <lafiel@elven.pw>
# Date 1711997030 -10800
#      Mon Apr 01 21:43:50 2024 +0300
# Node ID ac4a1f54e4a522334b2d92a25f361b89a2bb73c3
# Parent  4e30b3da1605d3888e09498039201f5c01a13c87
MIME: changed type for mid files to audio/sp-midi.

For .mid files, the audio/sp-midi MIME type is used according
to IANA [1] and IETF [2].

Link for reference:

[1] https://www.iana.org/assignments/media-types/audio/sp-midi
[2] https://datatracker.ietf.org/doc/draft-hamalainen-sp-midi-mimetype/

diff -r 4e30b3da1605 -r ac4a1f54e4a5 conf/mime.types
--- a/conf/mime.types   Mon Apr 01 21:04:04 2024 +0300
+++ b/conf/mime.types   Mon Apr 01 21:43:50 2024 +0300
@@ -79,9 +79,10 @@
     application/octet-stream                         dmg;
     application/octet-stream                         msi msp msm;

-    audio/midi                                       mid midi kar;
+    audio/midi                                       midi kar;
     audio/mpeg                                       mp3;
     audio/ogg                                        ogg;
+    audio/sp-midi                                    mid;
     audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;

# HG changeset patch
# User Yuriy Izorkin <lafiel@elven.pw>
# Date 1711998487 -10800
#      Mon Apr 01 22:08:07 2024 +0300
# Node ID 2b9beb8ab5d2a1dced6fc8094907a0ea020faa4b
# Parent  ac4a1f54e4a522334b2d92a25f361b89a2bb73c3
MIME: update file extensions for audio/ogg type.

For .oga, .ogg, .opus and .spx files, the MIME type is audio/ogg

In addition to .ogg files, the audio/ogg MIME type contains files
.oga, .opus and .spx files [1].

In Apache also uses this file extensions [2]:
$ awk '/audio\/ogg/' mime.types
audio/ogg                                       oga ogg spx opus

Link for reference:

[1] https://www.iana.org/assignments/media-types/audio/ogg
[2] https://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types

diff -r ac4a1f54e4a5 -r 2b9beb8ab5d2 conf/mime.types
--- a/conf/mime.types   Mon Apr 01 21:43:50 2024 +0300
+++ b/conf/mime.types   Mon Apr 01 22:08:07 2024 +0300
@@ -81,7 +81,7 @@

     audio/midi                                       midi kar;
     audio/mpeg                                       mp3;
-    audio/ogg                                        ogg;
+    audio/ogg                                        oga ogg opus;
     audio/sp-midi                                    mid;
     audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;
# HG changeset patch
# User Yuriy Izorkin <lafiel@elven.pw>
# Date 1712000395 -10800
#      Mon Apr 01 22:39:55 2024 +0300
# Node ID 2535f4e69b764d9e7795db735f8f6f833e58883d
# Parent  2b9beb8ab5d2a1dced6fc8094907a0ea020faa4b
MIME: changed type for m4a to audio/mp4.

For m4a files, the audio/mp4 MIME type is used in accordance
with section 2 of RFC 4337 [1].

In Apache also uses this MIME type [2]:
$ awk '/audio\/mp4/' mime.types
audio/mp4                                       m4a mp4a

Link for reference:

[1] https://www.rfc-editor.org/rfc/rfc4337#section-2
[2] https://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types

diff -r 2b9beb8ab5d2 -r 2535f4e69b76 conf/mime.types
--- a/conf/mime.types   Mon Apr 01 22:08:07 2024 +0300
+++ b/conf/mime.types   Mon Apr 01 22:39:55 2024 +0300
@@ -80,10 +80,10 @@
     application/octet-stream                         msi msp msm;

     audio/midi                                       midi kar;
+    audio/mp4                                        m4a;
     audio/mpeg                                       mp3;
     audio/ogg                                        oga ogg opus;
     audio/sp-midi                                    mid;
-    audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;

     video/3gpp                                       3gpp 3gp;